# neat_new_flow

Allocate and initialize a new NEAT flow.

### Syntax
```c
neat_flow *neat_new_flow(struct neat_ctx *ctx);
```

### Parameters

- **ctx**: Pointer to a NEAT context.

### Return values

Returns a pointer to a new flow. Returns `NULL` on error.

### Remarks

None.

### Examples

None.

### See also

- [neat_open](neat_open.md)
- [neat_close](neat_close.md)
